dig.js
======

Create and capture DNS and mDNS query and response packets to disk as binary and/or JSON.
Options are similar to the Unix `dig` command.

Install
-------

```bash
npm install -g 'git+https://git@git.daplie.com/Daplie/dig.js.git#v1'
```

If you don't have `git` installed you can also try the npm repo:

```bash
npm install -g dig.js
```

Usage
-----

### Format

```bash
dig.js [TYPE] <domainname>
```

### Example

```bash
dig.js daplie.com
```

### mDNS Browser Example

This is pretty much an mDNS browser

```bash
dig.js --mdns _services._dns-sd._udp.local
```

Really the `--mdns` option is just an alias for setting all of these options as the default:

```bash
dig.js -p 5353 @224.0.0.251 PTR _services._dns-sd._udp.local
```

### Moar Examples

```bash
dig.js A daplie.com

dig.js -t A daplie.com

dig.js @8.8.8.8 A daplie.com
```

Options
-------

```
--debug
--mdns
-t <type> (superfluous)
-c <class>
-p <port>
-q <query> (superfluous)
```
